FELIX(1)

NAME
felix-framework - command line Felix OSGi Framework launcher

SYNOPSIS
felix-framework [-b <bundle-deploy-dir>] [<bundle-cache-dir>]

DESCRIPTION
felix-framework provide a way to start Apache Felix OSGi Framework from command line. After startup, it provide some simple commands to help management of OSGi bundle.

OPTIONS

-b bundle-deploy-dir
    The Felix launcher deploys all bundles in the auto-deploy directory into the framework instance during startup. By default, the auto-deploy directory is /usr/share/felix-framework/bundle/ Specifying an auto-deploy directory replaces the default directory, it does not augment it.

bundle-cache-dir
    path you want to use as the bundle cache. If you specify a relative cache path, then it will be treated as relative to ~/.felix/ By default, felix-framework will use ~/.felix/felix-cache/

FILES
/etc/felix-framework/config.properties
    The system wide configuration file for Felix Framework. See <URL:http://felix.apache.org/site/apache-felix-framework-configuration-properties.html> for further details.

FILES
~/.felix/
    Default user cache directory for OSGi bundle information.

AUTHOR
Damien Raude-Morvan <drazzib@debian.org>

SEE ALSO
<URL:http://felix.apache.org/site/apache-felix-framework-usage-documentation.html>